%define module	Module-CoreList
%define name	perl-%{module}
%define version	2.02
%define	release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tell what modules shipped with versions of perl
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel

%description
Module::CoreList contains data about what perl modules are shipped
with given versions of perl (and their versions). It comes also with a
command-line utility, corelist, to retrieve this information easily.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Module/*
%{_mandir}/*/*
%{_bindir}/corelist

%changelog
* Tue May 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.02-1mdk
- 2.02

* Mon Apr 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.01-1mdk
- 2.01

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.00-1mdk
- 2.00
- Drop patch 0 (now that this module is part of the perl core)

* Wed Jan 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.98-1mdk
- New version

* Wed Dec 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.97-1mdk
- Initial MDK release.
